%define jpackage_run_jars antlr jakarta-commons-beanutils jakarta-commons-collections jakarta-commons-logging regexp
%define jpackage_build_jars checkstyle junit
%define jpackage_jars %jpackage_run_jars %jpackage_build_jars

Summary: A JNI Wrapper for the Unix pam(8) subsystem and a JAAS bridge
Name: jpam
License: Apache Software License, v. 1.1
Group: Application/Development
URL: http://jpam.sourceforge.net/
Source0: %{name}-%{version}-src.zip
Source1: version
Patch0: bug219916_expired_password_hang.patch
Patch1: %{name}-%{version}-s390x.patch
Version: %(echo `awk '{ print $1 }' %{SOURCE1}`)
Release: %(echo `awk '{ print $2 }' %{SOURCE1}`)%{?dist}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

Requires: %jpackage_run_jars
BuildRequires: %jpackage_jars
BuildRequires: gcc make
BuildRequires: pam-devel
BuildRequires: ant-nodeps
BuildRequires: java-devel >= 0:1.5.0

%description 
JPam provides a class to access the Unix pam(8) subsystem from
Java, and wraps it in a JAAS LoginModule

%package javadoc
Summary:       Javadoc for %{name}
Group:         Development/Documentation

%description javadoc
Javadoc for %{name}.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

rm -Rfv tools/*.jar
build-jar-repository -p tools/ %jpackage_jars

%build
export JAVA_HOME=%{java_home}
%ant shared-object dist-jar javadoc

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/%{name}-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 src/dist/* $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
# FIXME: Sun's JDK does not search for libraries in /usr/lib, though
# IBM's does. This specfile will work for users with the IBM JRE, but not
# for users of Sun's JRE. Unfortunately, the two JRE's don't have a single
# directory in java.library.path in common.
install -D -m 755 build/gen-src/c/libjpam.so $RPM_BUILD_ROOT/usr/lib/libjpam.so

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr site/documentation/javadoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%{_javadir}/*
/usr/lib/libjpam.so

%doc
%{_docdir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Wed Jul 16 2008  <jmatthew@redhat.com> 0.4-12
- First cut so it builds on fedora 9

* Sun Aug 26 2007  <bperkins@redhat.com> 0.4-11
- Applying patch to allow building on Linux s390 and s390x.
  Originally found by Brad Hinson <bhinson@redhat.com>

* Wed Dec 20 2006  <jesusr@redhat.com> 0.4-9
- Applying patch to fix a hang when pam password has expired.
  Bugzilla: 219916

* Mon Apr 18 2005  <dlutter@redhat.com> 0.4-1
- Simplified packaging for version 0.4. libjpam.so is now 
  installed into /usr/lib. Set JAVA_HOME 

* Mon Apr  11 2005  <jesusr@redhat.com> 
- Changed the jvm location to /usr/lib/jvm/java-ibm/ since
  using %{_libdir} causes libjpam to be placed in /usr/lib64
  which doesn't work with the ibm java

* Fri Apr  1 2005  <dlutter@redhat.com> 
- Initial build.
